SystemOrganization addCategory: #'OrionBrowser-Test'!

ASTest subclass: #OrionBrowserTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrionBrowser-Test'!

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:16'!
testAddAttribute

	| asS antaresModel  |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.attributeTest') isNil.

	(antaresModel entityNamed: 'Smalltalk::Class1') addAttributNamed: 'attributeTest' inModel: antaresModel .

	self deny: (antaresModel entityNamed: 'Smalltalk::Class1.attributeTest') isNil.
	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.attributeTest') parentType equals: (antaresModel entityNamed: 'Smalltalk::Class1').! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:17'!
testAddAttributeNoName

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.attributeTest') isNil.

	(antaresModel entityNamed: 'Smalltalk::Class1') addAttributNamed: nil inModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.attributeTest') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:18'!
testAddClass

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'Orion-TestModel-Constellation1::ClassTest') isNil.

	(antaresModel entityNamed: 'Orion-TestModel-Constellation1') addClassNamed: 'ClassTest' inModel: antaresModel .

	self deny: (antaresModel entityNamed: 'Orion-TestModel-Constellation1::ClassTest') isNil.
	self assert: (antaresModel entityNamed: 'Orion-TestModel-Constellation1::ClassTest') parentPackage equals: (antaresModel entityNamed: 'Orion-TestModel-Constellation1').! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:19'!
testAddClassNoName

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'ClassTest') isNil.

	(antaresModel entityNamed: 'Orion-TestModel-Constellation1') addClassNamed: nil inModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Orion-TestModel-Constellation1::ClassTest') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:19'!
testAddMethod

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.methodTest()') isNil.

	(antaresModel entityNamed: 'Smalltalk::Class1') addMethodNamed: 'methodTest' inModel: antaresModel .

	self deny: (antaresModel entityNamed: 'Smalltalk::Class1.methodTest()') isNil.
	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.methodTest()') parentType equals: (antaresModel entityNamed: 'Smalltalk::Class1')! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:20'!
testAddMethodNoName

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.methodTest()') isNil.

	(antaresModel entityNamed: 'Smalltalk::Class1') addMethodNamed: nil inModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1.methodTest()') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:21'!
testAddPackage

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'PackageTest') isNil.

	antaresModel addPackageNamed: 'PackageTest'.

	self deny: (antaresModel entityNamed: 'PackageTest') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:21'!
testAddPackageNoName

	| asS antaresModel |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	self assert: (antaresModel entityNamed: 'PackageTest') isNil.

	antaresModel addPackageNamed: nil.

	self assert: (antaresModel entityNamed: 'PackageTest') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:22'!
testClassAddInheritance

	| asS antaresModel class |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	class := antaresModel entityNamed: 'Smalltalk::Class1'.	

	self assert: class superInheritances size equals: 1.
	self assert: class superInheritances first to equals: (antaresModel entityNamed: 'Smalltalk::Object').

	class addSuperClass: (antaresModel entityNamed: 'Smalltalk::Class5') inModel:  antaresModel .
	
	class := antaresModel entityNamed: 'Smalltalk::Class1'.	

	self assert: class superInheritances size equals: 2.
	self assert: (class superInheritances contains: [:inh | inh to = (antaresModel entityNamed: 'Smalltalk::Object')]).
	self assert: (class superInheritances contains: [:inh | inh to = (antaresModel entityNamed: 'Smalltalk::Class5')]).
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'AnneEtien 3/20/2013 14:45'!
testClassChangeInheritance

	| asS antaresModel class |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	class := antaresModel entityNamed: 'Smalltalk::Class1'.	

	self assert: class superInheritances size equals: 1.
	self assert: class superInheritances first to equals: (antaresModel entityNamed: 'Smalltalk::Object').

	class changeSuperClassTo: (antaresModel entityNamed: 'Smalltalk::Class5') inModel:  antaresModel .

	"class := antaresModel entityNamed: 'Smalltalk::Class1'.	"

	self assert: (class superInheritances size) equals: 1.
	self assert: (class superInheritances first to) equals: (antaresModel entityNamed: 'Smalltalk::Class5').
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:24'!
testDeleteAttribute

	| asS antaresModel att |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	att := antaresModel entityNamed: 'Smalltalk::Object.DependentsFields'.	

	self assert: att notNil.

	att deleteInModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Smalltalk::Object.DependentsFields') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:24'!
testDeleteClass

	| asS antaresModel class |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	class := antaresModel entityNamed: 'Smalltalk::Class1'.	

	self assert: class notNil.
	class deleteInModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Smalltalk::Class1') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:25'!
testDeleteInvocation

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.
	self assert: meth outgoingInvocations size equals: 1.

	meth outgoingInvocations first deleteInModel: antaresModel.
	
	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.
	self assert: meth outgoingInvocations size equals: 0.
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:25'!
testDeleteMethod

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.	

	self assert: meth notNil.

	meth deleteInModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'AnneEtien 3/18/2013 18:08'!
testDeletePackage

	| asS antaresModel pckg |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: #AsM.
	
	pckg := antaresModel entityNamed: 'Orion-TestModel-Constellation1'.	

	self assert: pckg notNil.

	pckg deleteInModel: antaresModel .

	self assert: (antaresModel entityNamed: 'Orion-TestModel-Constellation1') isNil.! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:26'!
testDeleteReference

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.
	self assert: meth outgoingReferences size equals: 1.

	(meth outgoingReferences first) deleteInModel: antaresModel.
	
	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.
	self assert: meth outgoingReferences size equals: 0.
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:27'!
testMergePackage

	| asS antaresModel pckg1 pckg2 |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	pckg1 := antaresModel entityNamed: 'Orion-TestModel-Constellation1'.	
	pckg2 := antaresModel entityNamed: 'Orion-TestModel-Constellation2'.

	self assert: pckg1 childNamedEntities size equals: 5.
	self assert: pckg2 childNamedEntities size equals: 4.

	pckg1 mergePackage: pckg2  inModel: antaresModel.

	self assert:  (antaresModel entityNamed: 'Orion-TestModel-Constellation1')  equals: nil.
	"self assert:  (antaresModel entityNamed: 'Orion-TestModel-Constellation2')  equals: nil.     DOESN'T WORK BECAUSE MATCHES Orion-TestModel-Constellation2Orion-TestModel-Constellation1"

	self deny:  (antaresModel entityNamed: 'Orion-TestModel-Constellation2Orion-TestModel-Constellation1') isNil.
	self assert: (antaresModel entityNamed: 'Orion-TestModel-Constellation2Orion-TestModel-Constellation1') childNamedEntities size equals: 9.
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:27'!
testMethodAddInvocation

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.

	self assert: meth outgoingInvocations size equals: 1.
	self assert: meth outgoingInvocations first receiver equals: (antaresModel entityNamed: 'Smalltalk::Class3').

	meth addInvocationTo: (antaresModel entityNamed: 'Smalltalk::Class1.accessOrion1Class2()') inModel:  antaresModel .
	
	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.

	self assert: meth outgoingInvocations size equals: 2.
	self assert: (meth outgoingInvocations contains: [:inv | inv receiver = (antaresModel entityNamed: 'Smalltalk::Class3')]).
	self assert: (meth outgoingInvocations contains: [:inv | inv to size =1 and: [ inv to  first = (antaresModel entityNamed: 'Smalltalk::Class1.accessOrion1Class2()')]]).
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:27'!
testMethodAddReference

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.

	self assert: meth outgoingReferences size equals: 1.
	self assert: meth outgoingReferences first to equals: (antaresModel entityNamed: 'Smalltalk::Class3').

	meth addReferenceTo: (antaresModel entityNamed: 'Smalltalk::Class2') inModel:  antaresModel .
	
	meth := 	antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.

	self assert: meth outgoingReferences size equals: 2.
	self assert: (meth outgoingReferences contains: [:inh | inh to = (antaresModel entityNamed: 'Smalltalk::Class3')]).
	self assert: (meth outgoingReferences contains: [:inh | inh to = (antaresModel entityNamed: 'Smalltalk::Class2')]).
! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:32'!
testMoveAttribute

	| asS antaresModel att  |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	att := antaresModel entityNamed: 'Smalltalk::Object.DependentsFields'.	

	self deny: att isNil.
	self assert: att parentType equals: (antaresModel entityNamed: 'Smalltalk::Object').	

	att moveTo: (antaresModel entityNamed: 'Smalltalk::Class1') inModel: antaresModel.

	att := antaresModel entityNamed: 'Smalltalk::Object.DependentsFields'.	
	self assert: att isNil.
	
	att := antaresModel entityNamed: 'Smalltalk::Class1.DependentsFields'.	
	
	self deny: att isNil.
	self assert: att parentType equals: (antaresModel entityNamed: 'Smalltalk::Class1').! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:36'!
testMoveClass

	| asS antaresModel class |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	class := antaresModel entityNamed: 'Smalltalk::Class1'.	
	self deny: class isNil.
	self assert: class parentPackage equals: (antaresModel entityNamed: 'Orion-TestModel-Constellation1').	

	class moveTo: (antaresModel entityNamed: 'Orion-TestModel-Constellation2') inModel: antaresModel .

	class := antaresModel entityNamed: 'Smalltalk::Class1'.	
	self deny: class isNil.
	self assert: class parentPackage equals: (antaresModel entityNamed: 'Orion-TestModel-Constellation2').! !

!OrionBrowserTest methodsFor: 'as yet unclassified' stamp: 'NicolasAnquetil 3/19/2013 19:38'!
testMoveMethod

	| asS antaresModel meth |

	asS := self model system.
	antaresModel := (ASModel withParent: self model) name: 'AsM'.

	meth := antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.	
	self deny: meth isNil.
	self assert: meth parentType equals: (antaresModel entityNamed: 'Smalltalk::Class5').	

	meth moveTo: (antaresModel entityNamed: 'Smalltalk::Class1') inModel: antaresModel.

	meth := antaresModel entityNamed: 'Smalltalk::Class5.accessOrion2Class3()'.	
	self assert: meth isNil.
	
	meth := antaresModel entityNamed: 'Smalltalk::Class1.accessOrion2Class3()'.	
	self deny: meth isNil.
	self assert: meth parentType equals: (antaresModel entityNamed: 'Smalltalk::Class1').! !
